#include <time.h>
#include <unistd.h>
#include <errno.h>
#include "eighdr.h"

int
main(void)
{
    pid_t	pid;

    srand(time(NULL)+getpid());
    fehler_meld(WARNUNG, "Warnung (Kennung '%s')", "WARNUNG");
    errno = rand()%50+1;
    fehler_meld(WARNUNG_SYS, "Warnung mit Systemmeldung "
		             "Kennung '%s')", "WARNUNG_SYS");
    if ( (pid=fork()) < 0)
	perror("fork-Fehler");
    else if (pid == 0)
	fehler_meld(FATAL, "Fataler Fehler "
			   "(Kennung '%s')", "FATAL");
    else if (pid > 0) {
	errno = rand()%50+1;
	fehler_meld(FATAL_SYS, "Fataler Fehler mit Systemmeldung "
			       "(Kennung '%s')", "FATAL_SYS");
    } //else if (pid > 0) 
    exit(0);
} //
